/*GLOBAL NPCJ COLORS*/
:root {
    --npcj-color-blue: #0E3D74; /*(14, 61, 116, 1)*/
    --npcj-color-yellow: #FFC759;  /*#D1BE2C;*/
    --npcj-color-orange: #E91F24;
    --npcj-color-green: #109648; /*#2E4C33;*/
    --npcj-color-white: #D6D5D7;
    --npcj-color-gray: #6c757d;
    --npcj-color-dark: #212427;
    --moodle-color-orange: #F98012; /*(249, 128, 18, 1)*/
    --npcj-color-blue-gradient: #0068B8;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /* font-family: Georgia, 'Times New Roman', Times, 'san-serif'; */
    font-family: 'Inter';
    /* font-size: small; */
}


/* Background Colors */
.bg-sis-blue{background-color: var(--npcj-color-blue);}
.bg-sis-gradient-blue{background-color: var(--npcj-color-blue-gradient) !important;}
.bg-sis-green{background-color: var(--npcj-color-green);}
.bg-sis-yellow{background-color: var(--npcj-color-yellow);}
.bg-sis-orange{background-color: var(--npcj-color-orange);}
.bg-sis-red{background-color: var(--npcj-color-orange);}
.bg-sis-gray{background-color: var(--npcj-color-gray);}
.bg-moodle-orange{background-color: var(--moodle-color-orange);}
.bg-lighthouse {
    background-color: #f1f5f4;
}

/* Text Colors */
.text-sis-blue{color: var(--npcj-color-blue) !important;}
.text-sis-yellow{color: var(--npcj-color-yellow) !important;}
.text-sis-green{color: var(--npcj-color-green) !important;}
.text-sis-white{color: var(--npcj-color-white) !important;}
.text-sis-red{color: var(--npcj-color-orange) !important;}
.text-sis-gradient-blue{color: var(--npcj-color-blue-gradient) !important;}

/* Bold Text Colors */
.text-bold-blue{color: var(--npcj-color-blue) !important; font-weight: bold;}
.text-bold-gradient-blue{color: var(--npcj-color-blue-gradient) !important; font-weight: bold;}
.text-bold-green{color: var(--npcj-color-green) !important; font-weight: bold;}
.text-bold-yellow{color: var(--npcj-color-yellow) !important; font-weight: bold;}
.text-bold-red{color: var(--npcj-color-orange) !important; font-weight: bold;}

/* Colored Borders */
.border-sis-gradient-blue{border: 1px solid var(--npcj-color-blue-gradient) !important;}

/* Button Colors */
.btn-sis-blue {
    background-color: var(--npcj-color-blue) !important;
    border-color: var(--npcj-color-blue) !important;
    color: white !important;
}

.btn-sis-blue:hover,
.btn-sis-blue:focus,
.btn-sis-blue:active {
    background-color: #004080 !important; /* Replace with a darker shade of blue */
    border-color: var(--npcj-color-blue-gradient)  !important; /* Replace with a lighter shade of blue */
    color: white !important;
}

.btn-outline-sis-blue {
    background-color: transparent !important;
    border-color: var(--npcj-color-blue) !important;
    color: var(--npcj-color-blue) !important;
}

.btn-outline-sis-blue:hover,
.btn-outline-sis-blue:focus,
.btn-outline-sis-blue:active {
    background-color: var(--npcj-color-blue-gradient) !important;
    color: white !important;
}


/* html, body
{
    height: 100%;
    width: 100%;
} */

@font-face{
    font-family: 'Righteous';
    src: url('../fonts/Righteous-Regular.ttf')
}
@font-face{
    font-family: 'Inter';
    src: url('../fonts/Inter-Regular.ttf');
    font-weight: 300;
}
@font-face{
    font-family: 'Inter';
    src: url('../fonts/Inter-Medium.ttf');
    font-weight: 600;
}
@font-face{
    font-family: 'Inter';
    src: url('../fonts/Inter-SemiBold.ttf');
    font-weight: bold;
}
@font-face{
    font-family: 'AudioWide';
    src: url('../fonts/Audiowide-Regular.ttf');
}

main{
    width: 100%;
    display: flex;
}

.clickable {
    cursor: pointer;
}

.required-field::after {
    content: " *";
    color: var(--npcj-color-orange);
    font-weight: bold;
}

#content-display{
    width: 100%;
}

#staff-navbar li, #staff-sidebar li, #view-student-sidebar li, 
#student-navbar li{
    list-style: none;
}

#student-navbar .navbar-collapse{
    flex-grow: 0.25;
}

#student-records {
    /* margin-left: 13rem; */
    alt: '';
}
#view-student {
    /* margin-left: 16rem; */
    alt: '';
}

.toggle-table-of-contents-button {
    background: none;
    cursor: pointer;
}
.toggle-table-of-contents-button:hover {
    background-color: #f0f0f0; /* Light background change on hover */
    border-radius: 4px;
    /* border: 1px solid rgba(232, 227, 227, 0.605); */
    box-shadow: rgba(50, 50, 93, 0.25) 0px 4px 16px -2px, rgba(0, 0, 0, 0.3) 0px 2px 12px -2px;
    transform: scale(1.1); /* Slight scaling effect */
}

.toggle-table-of-contents-button:hover svg {
    fill: #109648; /* Change icon color on hover */
}

.form-control:focus {
    border-color: rgba(178, 205, 243, 0.8);
    outline: 0;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px, rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;
}

#nav-icons {
    margin-right: 5rem;
}

#nav-icons img {
    margin-right: 2rem;
}

.nav-links img:hover{
    cursor: pointer;
}

table {
    font-size: small;
}

tr {
    /* font-size: smaller; */
    font-weight: 600;
}
tbody tr {
    cursor: pointer;
}
thead tr > th:first-of-type {
    border-top-left-radius: 6px;
}
thead tr > th:last-of-type {
    border-top-right-radius: 6px;
}

.students-link:hover{
    text-decoration: underline;
}
.data-container .col, .data-container .col-4 {
    font-weight: 600; /* Add to settings*/
}
.data-container .col p:first-child, .data-container .col-4 p:first-child{
    color: var(--npcj-color-gray); /* SETTINGS */
    margin-bottom: 0.5rem;
    /* font-weight: bold; */
}

.data-container .row{
    margin-left: unset;
    margin-right: unset;
    margin-bottom: 1rem;
    justify-content: space-between;
}

.student-data th {
    color: var(--npcj-color-blue) !important;
}

.dropdown-item:hover{
    background-color: rgb(215, 232, 250, 0.5);
}
.card, #date-display{ /*(249, 128, 18, 1) */
    border: unset;
    /* box-shadow: rgba(0, 0, 0, 0.05) 0px 0px 0px 1px; */
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
    /* box-shadow: rgba(0, 0, 0, 0.15) 0px 5px 15px 0px; */
}
.school-category{
    font-weight: bold;
    color: var(--npcj-color-orange);
    border-radius: 6px;
    width: fit-content;
}
#view-student button, #user-account button{
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
}
.box-shadow{
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
}

.link {
    text-decoration: none;
    color: var(--npcj-color-gray);
    font-weight: 600;
    /* text-wrap: nowrap; */
}
.link:hover {
    text-decoration: var(--npcj-color-yellow) underline wavy;
    color: black;
    cursor: pointer;
}

#divisions th {
    width: 30%;
}
#enlistments-table th {
    width: 25%;
}
#promotions th {
    width: 20%;
}
/* #other-employment-tab-pane th {
    width: 20%;
} */
td, th {
    vertical-align: middle !important;
}
#certificates-tab-pane th {
    width: 50%;
}


.card .btn {
    width: unset !important;
    margin-top: unset !important;
}

.card-title{
    color: var(--moodle-color-orange);
}
.settings-option{
    width: 30%;
    border-radius: 6px;
}
.settings-option:hover{
    background-color: rgba(14, 61, 116, 0.05);
}

#error-404{
    padding-bottom: 12rem;
}

#error-404 h1{
    font-size: 16rem;
    color: var(--npcj-color-yellow);
}
#error-404 button:hover{
    background-color: white !important;
    color: black !important;
}

#app-sub-container{
    display: flex;
}

.Toastify__toast-container  {
    width: fit-content !important;
    /* width: 40ch !important; */
}

.submit-button, .create-button, .view-edit-button, .delete-button, .cancel-button, .admissions-view-button, .dummy-button {
    font-weight: 600;
    padding: 0.5rem 1rem;
    border-radius: 6px;
    min-width: 6.5rem;
    max-width: 10rem;
    width: fit-content;
}

.create-button {
    background-color: var(--npcj-color-blue);
    border: 1px solid var(--npcj-color-blue) !important;
    color: white;
}
.create-button:hover {
    color: black !important;
    background-color: white !important;
}
.submit-button {
    background-color: var(--npcj-color-green);
    border: 1px solid var(--npcj-color-green) !important;
    color: white !important;
}
.submit-button:hover {
    color: var(--npcj-color-green) !important;
    background-color: white !important; 
}
.view-edit-button {
    background-color: white; 
    border: 1px solid var(--npcj-color-yellow) !important;
}
.view-edit-button:hover {
    color: black !important;
    background-color: var(--npcj-color-yellow);
}
.delete-button {
    background-color: white;
    border: 1px solid var(--npcj-color-orange) !important;
    color: var(--npcj-color-orange) !important;
}
.delete-button:hover {
    color: white !important;
    background-color: var(--npcj-color-orange) !important; 
}
.cancel-button {
    background-color: var(--npcj-color-gray);
    border: 1px solid var(--npcj-color-gray) !important;
    color: white !important;
}
.cancel-button:hover {
    background-color: white !important;
    color: black !important;
}
.dark-button {
    background-color: var(--npcj-color-dark);
    border: 1px solid var(--npcj-color-dark) !important;
    color: white !important;
}
.dark-button:hover {
    background-color: white !important;
    color: black !important;
}
.user-actions-dropdown-menu button {
    background-color: unset !important;
    padding: 0.4rem;
}
.dummy-button {
    background-color: var(--npcj-color-gray);
    border: 1px solid var(--npcj-color-gray) !important;
    color: white !important;
    max-width: fit-content !important;
}
.dummy-button:hover {
    cursor: default !important;
}
.dropdown-item:hover {
    cursor: pointer;
    background-color: rgba(148, 167, 241, 0.1) !important;
    font-weight: bold;
    transition: font-weight 0.1s ease-in-out;
}

.selected {
    background-color: rgb(197, 235, 252) !important;
}

.email-address > a {
    color: var(--npcj-color-dark);
}

.hover-feedback:hover {
    transform: translateY(-2px);
    box-shadow: 0 4px 8px rgba(0,0,0,0.15);
  }

/* Adjust grid container to automatically fit items */
.grid-container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 20px; /* Space between grid items */
    width: 100%;
    padding: 10px;
}

.form-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 1rem;
    margin-bottom: 1rem;
    width: 100%;
}

.form-group {
    display: flex;
    flex-direction: column;
    padding: 0.5rem 1rem 0.5rem 1rem;
    /* border-radius: 0.375rem;
    box-shadow: 0 2px 3px rgba(0, 0, 0, 0.05); */
    /* transition: background-color 0.3s ease, box-shadow 0.3s ease; */
    /* background-color: #f8fafd; */
}

/* .form-group:hover {
  background-color: #f8f9fd;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
} */

.form-group p {
    margin-bottom: 0.5rem;
    font-weight: 600;
}

.form-group p:first-child {
    color: var(--npcj-color-gray);
    font-weight: 700;
}

/* .form-group input, .form-group select {
    margin-bottom: 0.75rem;
} */

/* .form-group table input, table .form-group table select {
    margin-bottom: 10rem !important;
    background-color: yellow !important;
} */

.glow {
    border-radius: 0.375rem;
    box-shadow: 0 2px 3px rgba(0, 0, 0, 0.05);
    background-color: #f8fafd;
    transition: background-color 0.3s ease, box-shadow 0.3s ease; /* Smooth transition for hover effects */
}
.glow:hover {
    background-color: #f8f9fd; /* Slightly darker on hover */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); /* Increased shadow on hover */
}


@media print{ 
    body, html, #view-batch-report-modal {
        height: 100% !important;
        width: 100% !important;
        display: block;
        margin-top: 0%;
        ::-webkit-scrollbar {
            display: none;
        }
    
        scrollbar-width: none; /* Firefox */
    }
    table {
        page-break-inside: auto !important;
    }

    tr {
        page-break-inside: auto; /* Avoid breaking rows within tables */
    }
}


/* COLUMNS */
@media (min-width:100px)  { /* min-width:641px portrait tablets, portrait iPad, landscape e-readers, landscape 800x480 or 854x480 phones */

    .student-sidebar-item {
        padding: 0.3rem 1.5rem;
        /* background-color: #0E3D74 !important; */
    }
    #identity-documents-container, #documents form > div {
        flex-direction: column;
    }

    #document-modal, #division-stations-modal{
        padding-right: unset !important;
    }

    .station-form-block, .division-form-block {
        flex-direction: column !important;
    }

}

/* COLUMNS */
@media (min-width:961px)  { 
    /* tablet, landscape iPad, lo-res laptops ands desktops */ 

    .student-sidebar-item {
        padding: 0.3rem 1.5rem;
        /* background-color: #FFC759 !important; */
    }
    #identity-documents-container {
        flex-direction: column;
    }

    #documents form > div {
        flex-direction: row;
    }

    /* #contact > div.col{
        display: flex;
        flex-direction: row !important;
    } */

    #contact-sections-container {
        display: flex;
    }

}

/* ROWS OR COLUMNS */
@media (min-width:1025px) { 
    /* big landscape tablets, laptops, and desktops */ 

    .student-sidebar-item {
        padding: 0.3rem 1.5rem;
        /* background-color: #109648 !important; */
    }
    #identity-documents-container {
        flex-direction: row;
    }
    #identity-documents-list .identity-document-object {
        flex-direction: row !important;
        align-items: center !important;
        /* background-color: #0068B8; */
    }
    #documents form > div {
        flex-direction: column;
    }

    /* #contact > div.col{
        display: flex;
        flex-direction: row !important;
    } */
    /* #nok-contact-container {
        padding-left: 1rem;
        border-left: 1px solid rgba(226, 223, 223, 0.4);
    } */

    .station-form-block, .division-form-block {
        flex-direction: row !important;
        justify-content: space-between;
        gap: 3rem !important;
    }
    .station-form-block input, .division-form-block input {
        width: 100%;
    }
    #roles-actions {
        flex-direction: row !important;
    }

}

/* ROWS */
@media (min-width:1281px) { 
    /* hi-res laptops and desktops */ 

    .student-sidebar-item {
        padding: 0.5rem 1.5rem !important; /* padding: 0.5rem 1.5rem; */
        /* background-color: #F98012 !important; */
    }
    #identity-documents-container {
        flex-direction: row;
    }
    #documents form > div {
        flex-direction: row;
    }
    .contact > div:first-child input {
        width: 95%;
    }
    .contact{
        display: flex;
        flex-direction: row !important;
    }

    #medical-tab-pane .data-container {
        flex-direction: row !important;  
    }
    #medications, #allergies, #dietary-concerns {
        border-left: 1px solid#dee2e6 !important;
        padding-left: 1rem;
        margin-left: 2rem;
    }
    #medical-tab-pane hr.d-none {
        display: block !important;
    }
    #dietary-concerns{
        padding-right: 1rem;
    }
    #physician, #medications {
        padding-right: 1rem !important;
        width: 33%;
    }
    #allergies {
        width: 33%;
    }
    #education-tab-pane form {
        flex-direction: row !important;
    }
    #education-tab-pane section {
        padding-right: 3rem;
    }
    .roles-actions {
        flex-direction: row !important;
    }

}

/* ROWS */
@media (min-width:1560px) { 
    /* hi-res laptops and desktops */ 

    .student-sidebar-item {
        padding: 1.1rem 1.5rem;
        /* background-color: aquamarine !important; */
    }
    #identity-documents-container, #documents form > div {
        flex-direction: row;
    }
    .roles-actions {
        flex-direction: row !important;
    }

}

.npcj-blue {
    background-color: var(--npcj-color-blue);
    color: white;
}

.btn-sis-blue {
    border-width: medium !important;
    background-color: var(--npcj-color-blue-gradient) !important;
    color: white !important;
}

.btn-sis-blue:hover {
    background-color: var(--npcj-color-blue) !important;
    color: white !important;
}

.btn-outline-npcj-blue {
    border-width: 1px !important;
    border-color: var(--npcj-color-blue-gradient) !important;
    color: var(--npcj-color-blue-gradient) !important;
}

.btn-outline-npcj-blue:hover {
    background-color: var(--npcj-color-blue-gradient) !important;
    color: white !important;
}

/* YELLOW */
.npcj-yellow {
    background-color: var(--npcj-color-yellow);
    color: white;
}

.outline-npcj-yellow {
    border-width: medium;
    border-color: var(--npcj-color-yellow);
    color: var(--npcj-color-white);
}

.outline-npcj-yellow:hover {
    background-color: var(--npcj-color-yellow);
    color: white;
}

/* ORANGE */

.npcj-orange {
    background-color: var(--npcj-color-orange);
    color: black;
}

.outline-npcj-orange {
    border-width: medium;
    border-color: var(--npcj-color-orange);
    color: var(--npcj-color-orange);
}

.outline-npcj-orange:hover {
    background-color: var(--npcj-color-orange);
    color: white;
}

/* GREEN */

.npcj-green {
    background-color: var(--npcj-color-green);
    color: white;
}

.btn-npcj-green {
    border-width: medium;
    border-color: var(--npcj-color-green) !important;
    background-color: var(--npcj-color-green) !important;
    color: white !important;
}
.btn-npcj-green:hover {
    border-color: var(--npcj-color-green) !important;
    background-color: #0c7b3c !important;
    color: white !important;
}

.btn-outline-npcj-green {
    border-width: 1px !important;
    border-color: var(--npcj-color-green) !important;
    color: var(--npcj-color-green) !important;
}

.btn-outline-npcj-green:hover {
    background-color: var(--npcj-color-green) !important;
    color: white !important;
}

/* WHITE */

.npcj-white {
    background-color: var(--npcj-color-white);
}

/* GUEST */

/* Sticky Navbar */
@media only screen and (min-width:1200px){
    .nav-item > .nav-link{
        padding: 5px 20px !important;
        display: block !important;
    }
}

.header {
    position: relative;
    width: 100%;
}

.header-inner {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 99;
    background-color: transparent;
}

.nav-item .nav-link{
    display: block;
    line-height: 36px;
    text-transform: capitalize;
    font-size: 16px;
    font-weight: bold;
    color: black;
    /* color: white; */
    transition: 0.15s;
}

.nav-item .nav-link:hover{
    color: var(--npcj-color-blue-gradient);
    font-weight: 700;
    transition: 0.15s;
}

.nav-item .nav-link:active{
    color: var(--npcj-color-blue);
    font-weight: 700;
    transition: 0.15s;
}

.navbar-scroll{
    background-color: var(--npcj-color-blue);
    padding: 0;
    position: fixed;
    top: 0;
    z-index: 99;
    box-shadow: 0px 1px 10px rgba(0,0,0,0.4);
    transition-duration: 0.6s;
}

.navbar-scroll .nav-item .nav-link{
    color: black;
}
.navbar-scroll .nav-item .nav-link:hover{
    color: var(--npcj-color-green);
    font-weight: inherit;
    transition: inherit;
}
.navbar-scroll .nav-item .nav-link:active{
    color: var(--npcj-color-green);
    font-weight: inherit;
    transition: inherit;
}

.header-inner {
    transition: height 0.6s; /* Add height transition for the header-inner element */
}

.section{
    background-color: white;
    padding: 4rem 0rem 4rem;
}

.section:nth-of-type(even){
    background-color: var(--npcj-color-blue);
}


html {
    line-height: 1.15;
    -webkit-text-size-adjust: 100%
}

body {
    margin: 0;
    font-family: 'Nunito', sans-serif;
}

footer {
    background: transparent;
    padding: 20px;
    text-align: center;
}

a {
    background-color: transparent
}

[hidden] {
    display: none
}

html {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Helvetica Neue, Arial, Noto Sans, sans-serif, Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol, Noto Color Emoji;
    line-height: 1.5
}

*,
:after,
:before {
    box-sizing: border-box;
    border: 0 solid #e2e8f0
}

a {
    color: inherit;
    text-decoration: inherit
}

ul{
    padding-left: unset !important;
}
svg,
video {
    display: block;
    /* vertical-align: middle; */
}

video {
    max-width: 100%;
    height: auto
}

.bg-white {
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity))
}

.bg-gray-100 {
    --tw-bg-opacity: 1;
    background-color: rgb(243 244 246 / var(--tw-bg-opacity))
}

.border-gray-200 {
    --tw-border-opacity: 1;
    border-color: rgb(229 231 235 / var(--tw-border-opacity))
}

.border-t {
    border-top-width: 1px
}

.flex {
    display: flex
}

.grid {
    display: grid
}

.hidden {
    display: none
}

.items-center {
    align-items: center
}

.justify-center {
    justify-content: center
}

.font-semibold {
    font-weight: 600
}

.h-5 {
    height: 1.25rem
}

.h-8 {
    height: 2rem
}

.h-16 {
    height: 4rem
}

.text-sm {
    font-size: .875rem
}

.text-lg {
    font-size: 1.125rem
}

.leading-7 {
    line-height: 1.75rem
}

.mx-auto {
    margin-left: auto;
    margin-right: auto
}

.ml-1 {
    margin-left: .25rem
}

.mt-2 {
    margin-top: .5rem
}

.mr-2 {
    margin-right: .5rem
}

.ml-2 {
    margin-left: .5rem
}

.mt-4 {
    margin-top: 1rem
}

.ml-4 {
    margin-left: 1rem
}

.mt-8 {
    margin-top: 2rem
}

.ml-12 {
    margin-left: 3rem
}

.-mt-px {
    margin-top: -1px
}

.max-w-6xl {
    max-width: 72rem
}

.min-h-screen {
    min-height: 100vh
}

.overflow-hidden {
    overflow: hidden
}

.p-6 {
    padding: 1.5rem
}

.py-4 {
    padding-top: 1rem;
    padding-bottom: 1rem
}

.px-6 {
    padding-left: 1.5rem;
    padding-right: 1.5rem
}

.pt-8 {
    padding-top: 2rem
}

.fixed {
    position: fixed
}

.relative {
    position: relative
}

.top-0 {
    top: 0
}

.right-0 {
    right: 0
}

.shadow {
    --tw-shadow: 0 1px 3px 0 rgb(0 0 0 / .1), 0 1px 2px -1px rgb(0 0 0 / .1);
    --tw-shadow-colored: 0 1px 3px 0 var(--tw-shadow-color), 0 1px 2px -1px var(--tw-shadow-color);
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow)
}

.text-center {
    text-align: center
}

.text-gray-200 {
    --tw-text-opacity: 1;
    color: rgb(229 231 235 / var(--tw-text-opacity))
}

.text-gray-300 {
    --tw-text-opacity: 1;
    color: rgb(209 213 219 / var(--tw-text-opacity))
}

.text-gray-400 {
    --tw-text-opacity: 1;
    color: rgb(156 163 175 / var(--tw-text-opacity))
}

.text-gray-500 {
    --tw-text-opacity: 1;
    color: rgb(107 114 128 / var(--tw-text-opacity))
}

.text-gray-600 {
    --tw-text-opacity: 1;
    color: rgb(75 85 99 / var(--tw-text-opacity))
}

.text-gray-700 {
    --tw-text-opacity: 1;
    color: rgb(55 65 81 / var(--tw-text-opacity))
}

.text-gray-900 {
    --tw-text-opacity: 1;
    color: rgb(17 24 39 / var(--tw-text-opacity))
}

.underline {
    text-decoration: underline
}

.antialiased {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale
}

.w-5 {
    width: 1.25rem
}

.w-8 {
    width: 2rem
}

.w-auto {
    width: auto
}

.grid-cols-1 {
    grid-template-columns: repeat(1, minmax(0, 1fr))
}

@media (min-width:640px) {
    .sm\:rounded-lg {
        border-radius: .5rem
    }

    .sm\:block {
        display: block
    }

    .sm\:items-center {
        align-items: center
    }

    .sm\:justify-start {
        justify-content: flex-start
    }

    .sm\:justify-between {
        justify-content: space-between
    }

    .sm\:h-20 {
        height: 5rem
    }

    .sm\:ml-0 {
        margin-left: 0
    }

    .sm\:px-6 {
        padding-left: 1.5rem;
        padding-right: 1.5rem
    }

    .sm\:pt-0 {
        padding-top: 0
    }

    .sm\:text-left {
        text-align: left
    }

    .sm\:text-right {
        text-align: right
    }
}

@media (min-width:768px) {
    .md\:border-t-0 {
        border-top-width: 0
    }

    .md\:border-l {
        border-left-width: 1px
    }

    .md\:grid-cols-2 {
        grid-template-columns: repeat(2, minmax(0, 1fr))
    }
}

@media (min-width:1024px) {
    .lg\:px-8 {
        padding-left: 2rem;
        padding-right: 2rem
    }
}

@media (prefers-color-scheme:dark) {
    .dark\:bg-gray-800 {
        --tw-bg-opacity: 1;
        background-color: rgb(31 41 55 / var(--tw-bg-opacity))
    }

    .dark\:bg-gray-900 {
        --tw-bg-opacity: 1;
        background-color: rgb(17 24 39 / var(--tw-bg-opacity))
    }

    .dark\:border-gray-700 {
        --tw-border-opacity: 1;
        border-color: rgb(55 65 81 / var(--tw-border-opacity))
    }

    .dark\:text-white {
        --tw-text-opacity: 1;
        color: rgb(255 255 255 / var(--tw-text-opacity))
    }

    .dark\:text-gray-400 {
        --tw-text-opacity: 1;
        color: rgb(156 163 175 / var(--tw-text-opacity))
    }

    .dark\:text-gray-500 {
        --tw-text-opacity: 1;
        color: rgb(107 114 128 / var(--tw-text-opacity))
    }
}